Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QPaintEngine.PolygonDrawMode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QPaintEngine.PolygonDrawMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QPaintEngine

    public static final class QPaintEngine.PolygonDrawMode

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QPaintEngine.PolygonDrawMode` | `ConvexMode` The polygon is a convex polygon and can be drawn using specialized algorithms where available.
`static QPaintEngine.PolygonDrawMode` | `OddEvenMode` The polygon should be drawn using `OddEven` fill rule.
`static QPaintEngine.PolygonDrawMode` | `PolylineMode` Only the outline of the polygon should be drawn.
`static QPaintEngine.PolygonDrawMode` | `WindingMode` The polygon should be drawn using Winding fill rule.

Method Summary
`static QPaintEngine.PolygonDrawMode` | `resolve(int value)` Returns the PolygonDrawMode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPaintEngine.PolygonDrawMode` | `valueOf(java.lang.String name)`
`static QPaintEngine.PolygonDrawMode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### OddEvenMode

    public static final QPaintEngine.PolygonDrawMode OddEvenMode

  The polygon should be drawn using `OddEven` fill rule.

### WindingMode

    public static final QPaintEngine.PolygonDrawMode WindingMode

  The polygon should be drawn using Winding fill rule.

### ConvexMode

    public static final QPaintEngine.PolygonDrawMode ConvexMode

  The polygon is a convex polygon and can be drawn using specialized algorithms where available.

### PolylineMode

    public static final QPaintEngine.PolygonDrawMode PolylineMode

  Only the outline of the polygon should be drawn.

Method Detail

### values

    public static QPaintEngine.PolygonDrawMode[] values()

### valueOf

    public static QPaintEngine.PolygonDrawMode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QPaintEngine.PolygonDrawMode resolve(int value)

  Returns the PolygonDrawMode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD